Method Signature
Parameters
ID of the voice to be used. Use the Get voices endpoint to list all available voices.
The text that will get converted into speech.
When set to
false, zero retention mode will be used for the request. This means history features are unavailable for this request, including request stitching. Zero retention mode may only be used by enterprise customers.You can turn on latency optimizations at some cost of quality. The best possible final latency varies by model. Possible values:
0- default mode (no latency optimizations)1- normal latency optimizations (about 50% of possible latency improvement of option 3)2- strong latency optimizations (about 75% of possible latency improvement of option 3)3- max latency optimizations4- max latency optimizations, but also with text normalizer turned off for even more latency savings (best latency, but can mispronounce numbers and dates)
Output format of the generated audio. Formatted as
codec_sample_rate_bitrate. For example, an mp3 with 22.05kHz sample rate at 32kbps is represented as mp3_22050_32.Note: MP3 with 192kbps bitrate requires Creator tier or above. PCM and WAV formats with 44.1kHz sample rate require Pro tier or above. The μ-law format (sometimes written mu-law, often approximated as u-law) is commonly used for Twilio audio inputs.Identifier of the model that will be used. You can query available models using
GET /v1/models. The model needs to have support for text to speech, which you can check using the can_do_text_to_speech property.Language code (ISO 639-1) used to enforce a language for the model and text normalization. If the model does not support the provided language code, an error will be returned.
Voice settings overriding stored settings for the given voice. They are applied only on the given request.
A list of pronunciation dictionary locators (id, version_id) to be applied to the text. They will be applied in order. You may have up to 3 locators per request.
If specified, the system will make a best effort to sample deterministically, such that repeated requests with the same seed and parameters should return the same result. Determinism is not guaranteed. Must be an integer between 0 and 4294967295.
The text that came before the text of the current request. Can be used to improve the speech’s continuity when concatenating together multiple generations or to influence the speech’s continuity in the current generation.
The text that comes after the text of the current request. Can be used to improve the speech’s continuity when concatenating together multiple generations or to influence the speech’s continuity in the current generation.
A list of request_id of the samples that were generated before this generation. Can be used to improve the speech’s continuity when splitting up a large task into multiple requests. The results will be best when the same model is used across the generations. If both
previous_text and previous_request_ids are sent, previous_text will be ignored. A maximum of 3 request_ids can be sent.A list of request_id of the samples that come after this generation. Especially useful for maintaining the speech’s continuity when regenerating a sample that has had some audio quality issues. For example, if you have generated 3 speech clips and want to improve clip 2, passing the request id of clip 3 as a
next_request_id (and that of clip 1 as a previous_request_id) will help maintain natural flow in the combined speech. The results will be best when the same model is used across the generations. If both next_text and next_request_ids are sent, next_text will be ignored. A maximum of 3 request_ids can be sent.If
true, the system won’t use the PVC version of the voice for the generation but the IVC version. This is a temporary workaround for higher latency in PVC versions.This parameter controls text normalization with three modes:
'auto', 'on', and 'off'. When set to 'auto', the system will automatically decide whether to apply text normalization (e.g., spelling out numbers). With 'on', text normalization will always be applied, while with 'off', it will be skipped.This parameter controls language text normalization. This helps with proper pronunciation of text in some supported languages.WARNING: This parameter can heavily increase the latency of the request. Currently only supported for Japanese.
Request-specific configuration. You can pass in configuration such as
chunk_size and more to customize the request and response.Returns
Iterator[bytes] - The generated audio file as an iterator of byte chunks.